Bug 20013 - X 4.0.1 crashes with ATI Mach64 card
X 4.0.1 crashes with ATI Mach64 card
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-30 00:27 EST by Ben Johnson
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-19 15:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Johnson 2000-10-30 00:27:36 EST
I'm using v.4.0.1 with an All-In-Wonder Pro AGP under kernel 2.4.0-test8
(not using /dev/agppart though).  When the system's under heavy load and
some combination of X, Netscape 4.75, Konqueror (from standard KDE2 RPMS),
and StarOffice 5.2 are running, X will randomly die with signal 11.  My
memory's fine as far as I can tell...X was solid as a rock when I was
running a pgcc-optimized 3.3.6 under RH6.1 a few weeks ago.  The URL above
points to a server log file from a successful start.  I don't have an
unsuccessful start laying around the computer, but the only difference is
that the last line includes something like:

Caught signal 11: exiting...

The one additional change I've made to the X config is I've got TrueType
fonts loaded in.
Comment 1 mikecra 2001-01-03 17:48:20 EST
I have been getting a similar crash.  I seem to get it when running VMWare or 
wine, and it happens the most when switching VTs.  It may have something to do 
with bug number 18651.

I have the following configuration:
RedHat 7.0, patched GLIBC 2.2 (always the latest)
PII-400 (Compaq Armada M700)
ATI Rage Mobility-P
Kernel 2.2.16 stock or 2.4.0-test12 (happens in both)
4.0.1 XFree86

Comment 2 Ben Johnson 2001-01-04 15:00:35 EST
I've obtained the SRPM for XFree86-4.0.2-1 from Rawhide, and compiled it myself
using the "GCC 2.96" RH7 provides, and using the optflags "-O6 -march=i686" for
speed optimization.  Now, the only time I've been able to crash X is running
Konqueror (kde2.0) with Java (JRE 1.3 from java.sun.com) and using Yahoo Chat
(chat.yahoo.com).  I don't have any actual console logs, but right before X
crashes, there's some output to console that Qt's complaining about null
pixmaps.  If I can write down the message next time I see it, I'll append it to
Comment 3 Mike A. Harris 2001-03-17 18:58:17 EST
Ok, I need you to replicate any problem you are having (bdjohns1@uiuc.edu)
using an official Red Hat kernel that has been released for Guinness, and
using an official Red Hat XFree86.  I need specific gory details, X server
logs, X config files, yada yada.

Just for the record: VMware related bugs, must be duplicated without VMware and
without loading it's modules at boot time.  Home brew kernels, and home built
XFree86 packages are not supported.

So, please provide me with the info requested above, and details on how to
replicate and I'll gladly look into this for you.

Comment 4 Ben Johnson 2001-03-19 15:28:44 EST
I haven't been able to replicate the problem in the past month or two under
XF-4.0.2 with the rawhide RPMS I described above.  I'm running under a non-RH
kernel, and a Rawhide-based XFree, so I can't get that info.  Unless someone
else can come up with it, go ahead and close out the report.

Comment 5 Mike A. Harris 2001-03-19 17:02:07 EST
Ok, it looks like it is fixed then.  If it works for you, it doesn't matter as
much what you're using.  ;o)

Note You need to log in before you can comment on or make changes to this bug.